DKBSignDocs

API reference

GETRequires Bearer token

Get batches

/api/v4/batches/{batch_id}

Retrieve /api/v4/batches/{batch_id}. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
batch_id
Required
stringPath parameter batch_id.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Batch
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/v4/batches/uuid_or_id' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "batch_id": "550e8400-e29b-41d4-a716-446655440000",
  "documents": []
}